Last Comment Bug 884824 - Move EXTRA_JS_MODULES to moz.build in c-c
: Move EXTRA_JS_MODULES to moz.build in c-c
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: unspecified
: x86_64 Linux
: -- normal (vote)
: Thunderbird 24.0
Assigned To: Joshua Cranmer [:jcranmer]
:
Mentors:
Depends on: 880245
Blocks: 864191
  Show dependency treegraph
 
Reported: 2013-06-19 07:15 PDT by Joshua Cranmer [:jcranmer]
Modified: 2013-06-25 05:24 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Do all the things (26.10 KB, patch)
2013-06-19 07:15 PDT, Joshua Cranmer [:jcranmer]
no flags Details | Diff | Splinter Review
Updated patch (26.29 KB, patch)
2013-06-19 15:00 PDT, Joshua Cranmer [:jcranmer]
standard8: review+
Details | Diff | Splinter Review

Description Joshua Cranmer [:jcranmer] 2013-06-19 07:15:36 PDT
Created attachment 764740 [details] [diff] [review]
Do all the things

This also moves JS_MODULES_PATH, fixes the JS_MODULES_PATH variable to be relative to FINAL_TARGET instead of absolute, and undoes libs:: $(INSTALL) rules in two Makefiles where JS_MODULES_PATH would have been better used.
Comment 1 Joshua Cranmer [:jcranmer] 2013-06-19 15:00:01 PDT
Created attachment 765023 [details] [diff] [review]
Updated patch

Let's try one that doesn't completely and horribly break everything this time.
Comment 2 Mark Banner (:standard8) 2013-06-21 03:46:13 PDT
Comment on attachment 765023 [details] [diff] [review]
Updated patch

Review of attachment 765023 [details] [diff] [review]:
-----------------------------------------------------------------

r=me with the one issue fixed.

::: mailnews/db/gloda/modules/moz.build
@@ +22,5 @@
> +    'indexer.js',
> +    'log4moz.js',
> +    'mimeTypeCategories.js',
> +    'mimemsg.js',
> +    'moz.build',

moz.build?
Comment 3 Joshua Cranmer [:jcranmer] 2013-06-21 08:00:44 PDT
(In reply to Mark Banner (:standard8) from comment #2)
> moz.build?

That's what I get for generating this list by copying "vim mailnews/db/gloda/modules" :-)
Comment 4 Joshua Cranmer [:jcranmer] 2013-06-21 08:04:17 PDT
https://hg.mozilla.org/comm-central/rev/993bb2a45132

Note You need to log in before you can comment on or make changes to this bug.